
#ifndef __UTILS_H_
#define __UTILS_H_

/**
 * @file: utils.h
 *
 * Hlavickovy soubor k souboru utils.c, ktery implementuje nekolik rutin,
 * ktere se tematicky nevesly jinam.
 */

#include <ntddk.h>

// Popis semantiky rutin najdete u jejich implementace v souboru utils.c

HANDLE GetProcessId(PEPROCESS Process);
HANDLE GetThreadId(PETHREAD Thread);

NTSTATUS UtilsInit(VOID);
VOID UtilsFinit(VOID);

#endif
